diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/config.h ircd-hybrid-6.0/include/config.h
--- ircd-hybrid-6.0.orig/include/config.h	Mon Jun  4 03:22:23 2001
+++ ircd-hybrid-6.0/include/config.h	Mon Jun  4 03:22:06 2001
@@ -239,6 +239,11 @@
  */
 #undef ALLOW_DOT_IN_IDENT
 
+/* SANE_CASE_CONVERSION
+ * This causes {, }, |, and ~ to be considered different characters to [, ], \, and ^
+ */
+#define SANE_CASE_CONVERSION
+
 /* INVEX
  * Defining this will allow you to use the invite extention capab.
  * This extension allows you to maintain a list of hostmasks which don't
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/match.c ircd-hybrid-6.0/src/match.c
--- ircd-hybrid-6.0.orig/src/match.c	Mon Jun  4 03:22:24 2001
+++ ircd-hybrid-6.0/src/match.c	Mon Jun  4 02:49:10 2001
@@ -262,7 +262,11 @@
   ':', ';', '<', '=', '>', '?',
   '@', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i',
   'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's',
+#ifdef SANE_CASE_CONVERSION
+  't', 'u', 'v', 'w', 'x', 'y', 'z', '[', '\\', ']', '^',
+#else
   't', 'u', 'v', 'w', 'x', 'y', 'z', '{', '|', '}', '~',
+#endif
   '_',
   '`', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i',
   'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's',
@@ -301,7 +305,11 @@
   0x5f,
   '`', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I',
   'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S',
+#ifdef SANE_CASE_CONVERSION
+  'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '{', '|', '}', '~',
+#else
   'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '[', '\\', ']', '^',
+#endif
   0x7f,
   0x80, 0x81, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88, 0x89,
   0x8a, 0x8b, 0x8c, 0x8d, 0x8e, 0x8f,
